Reports
List order report rows
GET
/
v2
/
reports
/
orders
List order report rows
curl --request GET \
--url https://sandbox.api.bahnexpress.fi/v2/reports/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.bahnexpress.fi/v2/reports/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.bahnexpress.fi/v2/reports/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"order_id": "ord_01k1a2b3c4d5e6f7g8h9j0k1m2",
"ordered_for": null,
"customer_reference": "PO-2026-1042",
"created_at": "2026-07-30T13:00:00Z",
"status": "delivered",
"primary_vin": "WBA00000000000001",
"primary_registration_number": "ABC-123",
"origin_country": "FI",
"destination_country": "FI",
"pickup_address": "Teollisuuskatu 1, 00510 Helsinki, Finland",
"delivery_address": "Hatanpään valtatie 24, 33100 Tampere, Finland",
"pickup_type": "dealership",
"delivery_type": "dealership",
"ordered_by": {
"name": "API service account",
"email": "api@example.com"
},
"available_for_pickup_at": "2026-08-03T08:00:00+03:00",
"picked_up_at": "2026-08-03T08:40:00+03:00",
"delivered_at": "2026-08-03T13:18:00+03:00",
"distance_meters": 181200,
"driver_time_minutes": 144,
"total_transport_minutes": 278,
"cost": {
"currency": "EUR",
"total_cents": 45900
},
"refuel": {
"occurred": true,
"cost_cents": 6200
}
}
],
"next_cursor": null,
"has_more": false
}{
"type": "https://api.bahnexpress.fi/problems/validation-error",
"title": "The request is invalid.",
"status": 400,
"code": "validation_error",
"detail": "One or more fields are invalid.",
"instance": "/v2/orders",
"request_id": "req_01k1a2b3c4d5e6f7g8h9j0k1m2",
"errors": [
{
"path": "items.0.vin",
"code": "invalid_length",
"message": "The VIN must contain 17 characters."
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
OAuth 2.0 client credentials.
Headers
A caller-supplied request identifier for support.
Required string length:
1 - 255Query Parameters
The opaque cursor from the previous response.
The number of resources to return.
Required range:
1 <= x <= 100Include orders created at or after this RFC 3339 timestamp.
Include orders created at or before this RFC 3339 timestamp.
⌘I
List order report rows
curl --request GET \
--url https://sandbox.api.bahnexpress.fi/v2/reports/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.bahnexpress.fi/v2/reports/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.bahnexpress.fi/v2/reports/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"order_id": "ord_01k1a2b3c4d5e6f7g8h9j0k1m2",
"ordered_for": null,
"customer_reference": "PO-2026-1042",
"created_at": "2026-07-30T13:00:00Z",
"status": "delivered",
"primary_vin": "WBA00000000000001",
"primary_registration_number": "ABC-123",
"origin_country": "FI",
"destination_country": "FI",
"pickup_address": "Teollisuuskatu 1, 00510 Helsinki, Finland",
"delivery_address": "Hatanpään valtatie 24, 33100 Tampere, Finland",
"pickup_type": "dealership",
"delivery_type": "dealership",
"ordered_by": {
"name": "API service account",
"email": "api@example.com"
},
"available_for_pickup_at": "2026-08-03T08:00:00+03:00",
"picked_up_at": "2026-08-03T08:40:00+03:00",
"delivered_at": "2026-08-03T13:18:00+03:00",
"distance_meters": 181200,
"driver_time_minutes": 144,
"total_transport_minutes": 278,
"cost": {
"currency": "EUR",
"total_cents": 45900
},
"refuel": {
"occurred": true,
"cost_cents": 6200
}
}
],
"next_cursor": null,
"has_more": false
}{
"type": "https://api.bahnexpress.fi/problems/validation-error",
"title": "The request is invalid.",
"status": 400,
"code": "validation_error",
"detail": "One or more fields are invalid.",
"instance": "/v2/orders",
"request_id": "req_01k1a2b3c4d5e6f7g8h9j0k1m2",
"errors": [
{
"path": "items.0.vin",
"code": "invalid_length",
"message": "The VIN must contain 17 characters."
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}